## unalz 0.30

=== debian/changelog ===
unalz (0.30) unstable; urgency=low

  * New Upstream Update. 

 -- Yooseong Yang <yooseong@debian.org>  Wed, 29 Dec 2004 15:13:48 +0900

unalz (0.21.1) unstable; urgency=low

  * Add Build-depends: docbook-to-man. Closes: #283049

 -- Steve McIntyre <93sam@debian.org>  Sun, 28 Nov 2004 12:52:48 +0000

unalz (0.21) unstable; urgency=low

  * Initial Release. (closes: #278741)

 -- Yooseong Yang <yooseong@debian.org>  Mon, 25 Oct 2004 16:43:48 +0900

## unalz 0.30build1

=== debian/changelog ===
unalz (0.30build1) breezy; urgency=low

  * Rebuild for new C++ ABI

 -- Matthias Klose <doko@ubuntu.com>  Tue, 28 Jun 2005 09:09:22 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package = unalz
mandir = debian/$(package)/usr/share/man/man1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE) posix posix-utf8 posix-noiconv
	docbook-to-man debian/unalz.sgml > unalz.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	dh_installdocs

	# Add here commands to install the package into debian/unalz.
#	$(MAKE) install DESTDIR=$(CURDIR)/debian/unalz/usr
	cp $(CURDIR)/unalz $(CURDIR)/debian/unalz/usr/bin
	mkdir -p $(CURDIR)/$(mandir)
	cp $(CURDIR)/unalz.1 $(CURDIR)/$(mandir)
	cd $(CURDIR)/$(mandir) && gzip -9 unalz.1

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
#	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## unalz 0.55

=== Makefile ===
CPP = g++
CC  = gcc
OBJ = main.o UnAlz.o UnAlzUtils.o UnAlzBz2decompress.o UnAlzBzip2.o UnAlzbzlib.o zlib/adler32.o zlib/crc32.o zlib/infback.o zlib/inffast.o zlib/inflate.o zlib/inftrees.o zlib/zutil.o bzip2/blocksort.o bzip2/compress.o bzip2/crctable.o bzip2/huffman.o bzip2/randtable.o
BIN = unalz
LDFLAGS = 
CFLAGS = -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 

all:
	@echo ""
	@echo "USAGE : make TARGET_SYSTEM"
	@echo ""
	@echo ""
	@echo "TARGET_SYSTEM is one of"
	@echo ""
	@echo " posix             : POSIX system (FreeBSD/linux/OSX/sparc)"
	@echo " posix-utf8        : POSIX with utf8 filesystem(e.g. OSX)"
	@echo " linux-utf8        : LINUX with utf8 filesystem(without -liconv option)"
	@echo " posix-noiconv     : POSIX without libiconv (Windows(MINGW32,CYGWIN) or EUC-KR file system)"
	@echo ""
	@echo " 'install' for copy unalz to /usr/local/bin and  "
	@echo " 'clean' for clean"
	@echo ""

posix: unalz
	$(CPP) -c UnAlz.cpp -c UnAlzUtils.cpp -c main.cpp -D_UNALZ_ICONV $(CFLAGS) 
	$(CPP) $(OBJ) $(LDFLAGS) -liconv -o $(BIN) 

posix-utf8: unalz
	$(CPP) -c UnAlz.cpp -c UnAlzUtils.cpp -c main.cpp -D_UNALZ_ICONV -D_UNALZ_UTF8 $(CFLAGS)
	$(CPP) $(OBJ) $(LDFLAGS) -liconv -o $(BIN)

posix-noiconv: unalz
	$(CPP) -c UnAlz.cpp -c UnAlzUtils.cpp -c main.cpp $(CFLAGS)
	$(CPP) $(OBJ) $(LDFLAGS) -o $(BIN)

linux-utf8: unalz
	$(CPP) -c UnAlz.cpp -c UnAlzUtils.cpp -c main.cpp -D_UNALZ_ICONV -D_UNALZ_UTF8 $(CFLAGS)
	$(CPP) $(OBJ) $(LDFLAGS) -o $(BIN)

install:
	cp unalz /usr/local/bin/

clean:
	rm -f $(OBJ) $(BIN)

$(BIN): $(OBJ)


zlib/adler32.o: zlib/adler32.c
	$(CC) -c zlib/adler32.c -o zlib/adler32.o $(CFLAGS)

zlib/crc32.o: zlib/crc32.c
	$(CC) -c zlib/crc32.c -o zlib/crc32.o $(CFLAGS)

zlib/infback.o: zlib/infback.c
	$(CC) -c zlib/infback.c -o zlib/infback.o $(CFLAGS)

zlib/inffast.o: zlib/inffast.c
	$(CC) -c zlib/inffast.c -o zlib/inffast.o $(CFLAGS)

zlib/inflate.o: zlib/inflate.c
	$(CC) -c zlib/inflate.c -o zlib/inflate.o $(CFLAGS)

zlib/inftrees.o: zlib/inftrees.c
	$(CC) -c zlib/inftrees.c -o zlib/inftrees.o $(CFLAGS)

zlib/zutil.o: zlib/zutil.c
	$(CC) -c zlib/zutil.c -o zlib/zutil.o $(CFLAGS)

bzip2/blocksort.o: bzip2/blocksort.c
	$(CC) -c bzip2/blocksort.c -o bzip2/blocksort.o $(CFLAGS)

bzip2/compress.o: bzip2/compress.c
	$(CC) -c bzip2/compress.c -o bzip2/compress.o $(CFLAGS)

bzip2/crctable.o: bzip2/crctable.c
	$(CC) -c bzip2/crctable.c -o bzip2/crctable.o $(CFLAGS)

bzip2/huffman.o: bzip2/huffman.c
	$(CC) -c bzip2/huffman.c -o bzip2/huffman.o $(CFLAGS)

bzip2/randtable.o: bzip2/randtable.c
	$(CC) -c bzip2/randtable.c -o bzip2/randtable.o $(CFLAGS)

## unalz 0.30.1

=== debian/changelog ===
unalz (0.30.1) stable-security; urgency=high

  * Non-maintainer upload by the Security Team
  * Fix buffer overflow in file name handling, discovered by Ulf Hrnhammar
    (CVE-2005-3862)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 29 Jan 2006 12:15:15 +0000

=== debian/control ===
Source: unalz
Section: utils
Priority: optional
Maintainer: Yooseong Yang <yooseong@debian.org>
Build-Depends: debhelper (>= 4.0.0), docbook-to-man
Standards-Version: 3.6.1

Package: unalz
Architecture: any
Depends: ${shlibs:Depends}
Description: The utility used for decompressing alzip format file.
 unalz tool is the utility used for decompressing alzip format file.
 It mainly operates on files with names ending in '.alz'.

## unalz 0.62

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	@echo ""
 	@echo "TARGET_SYSTEM is one of"
 	@echo ""
-	@echo " posix             : POSIX system (FreeBSD/linux/OSX/sparc)"
+	@echo " posix             : POSIX system (FreeBSD/linux/OSX/sparc/Win32)"
 	@echo " posix-utf8        : POSIX with utf8 filesystem(e.g. OSX)"
 	@echo " linux-utf8        : LINUX with utf8 filesystem(without -liconv option)"
 	@echo " posix-noiconv     : POSIX without libiconv (Windows(MINGW32,CYGWIN) or EUC-KR file system)"

## unalz 0.65

=== Makefile ===
--- 
+++ 
@@ -12,8 +12,8 @@
 	@echo ""
 	@echo "TARGET_SYSTEM is one of"
 	@echo ""
+	@echo " posix-utf8        : POSIX with utf8 filesystem(Most of modern OS, e.g. OSX/Ubuntu)"
 	@echo " posix             : POSIX system (FreeBSD/linux/OSX/sparc/Win32)"
-	@echo " posix-utf8        : POSIX with utf8 filesystem(e.g. OSX)"
 	@echo " linux-utf8        : LINUX with utf8 filesystem(without -liconv option)"
 	@echo " posix-noiconv     : POSIX without libiconv (Windows(MINGW32,CYGWIN) or EUC-KR file system)"
 	@echo ""

=== debian/changelog ===
unalz (0.65-9) unstable; urgency=medium

  * debian/watch: Just use the insecure http page; the https version of
    the page has been broken for a while.
  * Bump Standards-Version to 4.6.2, no change needed.

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 06 Jun 2023 14:47:48 +0900

unalz (0.65-8) unstable; urgency=medium

  * debian/control: Use debhelper compat level 13
  * debian/control: Add Rules-Requires-Root: no
  * debian/{rules,unalz.manpages}: Stop overriding dh_installman and use
    debian/unalz.manpages
  * debian/control: Bump Standards-Version to 4.5.0
  * debian/salsa-ci.yml: Add Salsa CI config
  * debian/rules: Pass the hardning CPPFLAGS properly; the upstream
    makefile only uses CFLAGS so we use CPPFLAGS in CFLAGS.

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 13 May 2020 01:24:05 +0900

unalz (0.65-7) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Provide a c++ compiler in $(CPP). (Closes: #901348)

  [ Changwoo Ryu ]
  * Use debhelper 11
  * Use HTTPS for the copyright format URI
  * Standards-Version: 4.1.4

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 16 Jun 2018 13:17:28 +0900

unalz (0.65-6) unstable; urgency=medium

  * debian/{control,copyright,watch}: Correct the upstream URL
  * debian/control:
    - l10n-korean team is set as the Maintainer
    - Update Vcs-* to the salsa.debian.org repository
    - Standards-Version: 4.1.2
  * debian/{compat,control}: Use debhelper 10
  * patch: Fix file offset overflow on incomplete files (Closes: #871722)

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 27 Dec 2017 17:38:44 +0900

unalz (0.65-5) unstable; urgency=medium

  * Correct pipe mode (Closes: #775233)
  * Correct crash; check filename length record (Closes: #775237)
  * Standards-Version: 3.9.8
  * debian/control: Use secure URLs for Vcs-*
  * debian/copyright: Correct DEP-5 format
  * debian/rules: Enable hardening=+all

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 22 Jan 2017 19:49:15 +0900

unalz (0.65-4) unstable; urgency=low

  * Standards-Version: 3.9.5
  * Remove unneeded quilt build dependency
  * Correct debian/copyright format
  * Add tags on patches
  * Clean up build rule (Closes: #736460)
  * Improve package description and update note on supported formats.
  * debian/control: Correct Vcs-* fields
  * Add git-buildpackage config

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 27 Jan 2014 03:16:36 +0900

unalz (0.65-3) unstable; urgency=low

  * Build-Depends on zlib1g-dev version >= 1.2.7 (Closes: #672400)
  * debian/copyright: rewrite using the copyright format 1.0
  * Use debhelper 9.

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 12 May 2012 20:41:32 +0900

unalz (0.65-2) unstable; urgency=low

  * Use source format 3.0 (quilt) and debhelper 7
  * Standards-Version: 3.9.3
  * Fix FTBFS with GCC 4.7 (Closes: #672001)
  * Build with the optimize build flag
    - according to the policy 4.9.

 -- Changwoo Ryu <cwryu@debian.org>  Fri, 11 May 2012 02:55:06 +0900

unalz (0.65-1) unstable; urgency=low

  * New Upstream Version
  * Document about zlib and libbz2 link in copyright and in README.Debian.
  * Document the details of the supported ALZ formats in README.Debian.
  * Standards-Version: 3.8.2
  * Do not overwrite CDBS supplied build flags.

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 02 Aug 2009 06:07:08 +0900

unalz (0.64-1) unstable; urgency=low

  * New Upstream Version
  * Standards-Version: 3.8.0.
  * Switch to CDBS.
  * Use system installed libbz2 instead of the embedded one.
  * Depends on ${misc:Depends} for debhelper.
  * Updated the copyright year and the download URL in the copyright file.

 -- Changwoo Ryu <cwryu@debian.org>  Fri, 23 Jan 2009 21:29:18 +0900

unalz (0.62-1) unstable; urgency=low

  * New upstream release.
  * Switched to docbook XML for the man page. Corrected the command
    synopsis.
  * Updated the upstream mail address.

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 09 Apr 2008 13:24:40 +0900

unalz (0.61-1) unstable; urgency=low

  * New upstream release. Closes: #448590.
  * New maintainer. Closes: #362995.
  * Add missing include <cstring>. Thanks to Martin Michlmayr for the
    patch.  Closes: #455178.
  * Standards-Version: 3.7.3.
  * UTF-8 encoding default. Closes: #470095.
  * Add Homepage field.
  * Add Vcs-Git and Vcs-Browser fields.
  * Change the short description to a noun phrase, according to the
    developer's reference 6.2.2.
  * Update the option description and correct typos in the man page.
  * Update the unalz copyright.

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 16 Mar 2008 14:25:42 +0900

unalz (0.55-4) unstable; urgency=low

  * QA upload.
  * UnAlz.h: Add missing includes.  Thanks to Martin Michlmayr for the
    patch.  Closes: #417746.

 -- Matej Vela <vela@debian.org>  Sun, 15 Apr 2007 19:11:53 +0200

unalz (0.55-3) unstable; urgency=low

  * QA upload.
  * Fix build failure on GNU/kFreeBSD and Hurd.  Thanks to Petr Salinger
    for the patch.  Closes: #401514.

 -- Matej Vela <vela@debian.org>  Sat, 16 Dec 2006 10:52:03 +0100

unalz (0.55-2) unstable; urgency=low

  * QA upload.
  * Enable iconv support.  Closes: #378833.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Fri, 21 Jul 2006 00:31:52 +0200

unalz (0.55-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
    - Fixes directory traversal vulnerability [CVE-2006-0950].
      Closes: #356832.
  * Package is orphaned (#362995); set maintainer to Debian QA Group.
  * Acknowledge NMU.  Closes: #283049.
  * Link against zlib1g instead of a private copy.  (The same is not
    possible for libbz2, parts of which were modified.)
  * Switch to debhelper 5.
  * debian/README.Debian: Redundant; remove.
  * debian/unalz.xml: debian/unalz.sgml is more recent; remove.
  * debian/copyright: Add license for bzip2 and zlib sources.
  * debian/rules: Remove generated man page on clean.
  * debian/watch: Add.
  * Conforms to Standards version 3.7.0.

 -- Matej Vela <vela@debian.org>  Tue,  2 May 2006 21:41:25 +0200



=== debian/control ===
Source: unalz
Section: utils
Priority: optional
Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
Uploaders: Changwoo Ryu <cwryu@debian.org>
Homepage: https://kippler.com/win/unalz/
Vcs-Browser: https://salsa.debian.org/l10n-korean-team/unalz
Vcs-Git: https://salsa.debian.org/l10n-korean-team/unalz.git
Build-Depends: debhelper-compat (= 13),
	       docbook-xsl,
               dpkg-dev (>= 1.16.1~),
	       libbz2-dev,
	       xsltproc,
	       zlib1g-dev (>= 1:1.2.7),
Rules-Requires-Root: no
Standards-Version: 4.6.2

Package: unalz
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: De-archiver for .alz files
 This is the utility used for decompressing ALZip format files. It
 mainly operates on files with names ending in '.alz'.
 .
 Note that it only support Alzip program's old (pre-2009) ALZ format.
 The new "EGG" format is completely different with ALZ and not
 supported.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildtools.mk
include /usr/share/dpkg/buildflags.mk

# we need this for the poorly written upstream makefile
CFLAGS += -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64
LDFLAGS += -lz -lbz2

DEBIAN_BUILDDIR=$(CURDIR)/debian/build

DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
XP=xsltproc -''-nonet

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- linux-utf8 CC="$(CC)" CPP="$(CXX)" CFLAGS="$(CPPFLAGS) $(CFLAGS)" LDFLAGS="$(LDFLAGS)"
	mkdir -p $(DEBIAN_BUILDDIR)
	$(XP) -o $(DEBIAN_BUILDDIR)/unalz.1 $(DB2MAN) debian/unalz.dbk
	iconv -f EUC-KR -t UTF-8 < readme.txt > $(DEBIAN_BUILDDIR)/readme.txt

override_dh_auto_install:

override_dh_auto_clean:
	rm -rf $(DEBIAN_BUILDDIR)
	dh_auto_clean

=== debian/watch ===
version=4
 http://kippler.com/win/unalz/ \
 unalz-@ANY_VERSION@.tgz
